.\"	$NetBSD: mopprobe.1,v 1.7 2009/03/11 13:59:48 joerg Exp $
.\"
.\" Copyright (c) 1996 Mats O Jansson.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 2, 1995
.Dt MOPPROBE 1
.Os
.Sh NAME
.Nm mopprobe
.Nd MOP Probe Utility
.Sh SYNOPSIS
.Nm
.Fl a
.Op Fl 3 | 4
.Nm
.Op Fl 3 | 4
.Ar interface
.Sh DESCRIPTION
.Nm
prints the ethernet address and nodename of MOP SID message on the Ethernet
connected to
.Ar interface
or all known interfaces if
.Sq Fl a
is given.
.Sh OPTIONS
.Bl -tag -width indent
.It Fl a
Listen on all the Ethernets attached to the system.
If
.Sq Fl a
is omitted, an interface must be specified.
.It Fl 3
Ignore MOP V3 messages (Ethernet II).
.It Fl 4
Ignore MOP V4 messages (Ethernet 802.3).
.El
.Sh SEE ALSO
.Xr mopchk 1 ,
.Xr mopcopy 1 ,
.Xr moptrace 1 ,
.Xr mopd 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
